net.dontdrinkandroot.persistence.filter

## Class AbstractFilter<T>

- java.lang.Object
- - net.dontdrinkandroot.persistence.filter.AbstractFilter<T>

All Implemented Interfaces:
  Serializable, Filter<T>

Direct Known Subclasses:
  NullFilter, NumericFilter

    public abstract class AbstractFilter<T>
    extends Object
    implements Filter<T>, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractFilter(String name)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getName()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.dontdrinkandroot.persistence.filter.Filter

`createPredicate`

### Constructor Detail

#### AbstractFilter

    public AbstractFilter(String name)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `Filter<T>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`